{
  description = "fck - a file checking utility wrapper written in python";
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs";
    flake-utils.url = "github:numtide/flake-utils";
  };
  outputs =
    {
      self,
      nixpkgs,
      flake-utils,
    }:
    flake-utils.lib.eachDefaultSystem (
      system:
      let
        pkgs = nixpkgs.legacyPackages."${system}";
      in
      {
        # https://github.com/NixOS/rfcs/pull/166
        formatter = pkgs.nixfmt-rfc-style;
        packages.fck = pkgs.python311Packages.callPackage ./default.nix { };
      }
    );
}
